%{!?__pecl:       %define __pecl %{_bindir}/pecl}

%define modn      geoip
%define modv      1.1.0
%define modp      %(echo %{modn} | cut -d'_' -f1)


Summary:          Map IP address to geographic places in PHP
Name:             php-pecl-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          PHP
Group:            System Environment/Libraries
Source0:          http://pecl.php.net/get/%{modn}-%{modv}.tgz
Source1:          %{name}.ini
Patch0:           %{modn}-1.1.0-build.patch
Patch10:          %{modn}-1.1.0-bz59124.patch
Patch11:          %{modn}-1.1.0-bz67259.patch
URL:              http://pecl.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Olivier Hill <ohill@php.net>
Provides:         php-pecl(%{modn}) = %{modv}
Provides:         php-pecl(%{modn})%{?_isa} = %{version}
Requires:         php(zend-abi) = %{php_zend_api}
Requires:         php(api) = %{php_core_api}
Requires(post):   %{__pecl}
Requires(postun): %{__pecl}
BuildRequires:    php-devel >= 4.3.0 php-pear
BuildRequires:    GeoIP-devel >= 1.4.8


%description
PECL::geoip is a PHP C extension for MaxMind's GeoIP Legacy databases, which
allows to find the location of an IP address (City, State, Country, Longitude,
Latitude, and other information).


%prep
%setup -q -c

pushd %{modn}-%{modv}
%patch0 -p0
%patch10 -p1
%patch11 -p0
popd

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{name}.xml


%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"

pushd %{modn}-%{modv}
phpize

%configure \
	--with-libdir=%{_lib} \
	--with-geoip

%{__make} %{?_smp_mflags}
popd


%check
pushd %{modn}-%{modv}
# Check for loadable module
%{_bindir}/php \
	--no-php-ini                     \
	--define extension_dir="modules" \
	--define extension="%{modn}.so"  \
	--modules | %{__grep} -q %{modn}
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pecl_xmldir}

pushd %{modn}-%{modv}
%{__make} \
	INSTALL_ROOT=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/%{modn}.ini

# Install package spec
%{__install} -m 0644 -p %{name}.xml ${RPM_BUILD_ROOT}%{pecl_xmldir}
popd


%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]; then	# Remove
  %{pecl_uninstall} %{modn} >/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{modn}-%{modv}/{ChangeLog,LICENSE,README}
%config(noreplace) %{_sysconfdir}/php.d/%{modn}.ini
%{php_extdir}/%{modn}.so
%{pecl_xmldir}/%{name}.xml


%changelog
* Sat Jan 10 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.0-1
- Initial build
